Subject: Re: bug#11183: [coreutils 8.13] touch: add options -v, --verbose
From: Jim Meyering <[email-masked]>
To: Pádraig Brady <[email-masked]>
Cc: [email-masked], Jari Aalto <[email-masked]>
Date: Sun, 07 Oct 2012 11:39:08 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 11183 notabug
thanks

Jim Meyering wrote:
> Pádraig Brady wrote:
>> On 04/05/2012 06:14 AM, Jari Aalto wrote:
>>>
>>> Please add verbose options to program touch(1):
>>>
>>>     -v, --verbose
>>>
>>> Similarly than what is found in cp(1), mv(1). Seing what files are being
>>> touched e.g. from scripts would be helpful:
>>>
>>>     touch ${optionverbose:+--verbose} <file pattern>
>>
>> Well files are always touched, or at a low level if the
>> timestamps don't need to be updated, this info isn't returned.
>>
>> Also to indicate as to whether files were created or not,
>> is problematic, I don't think that can be done atomically.
>
> Exactly.
> I'd rather not add any more --verbose options like this.
> In fact, I have been sorely tempted to remove the --verbose
> options from chown/chgrp and chmod: the options add complexity and
> the printed results are not reliable.

Also, touch is different from mv and cp.  For those two,
using --verbose can provide basic progress indicator when
the files are large, and for mv, when rename is not usable.

So I'm closing this.